<template>
    <div>
        <button v-if="outline === 'false'" :class="`btn bg-${type} text-white`"  > {{ text }} </button>
        <button v-else :class="`btn-outline bg-color-${type} border-${type} text-${type}`"  > {{ text }} </button>
    </div>
</template>

<script>
export default {
  props: {
    text: {
      type: String,
      required: true
    },
    type: {
      type: String,
      required: false,
      default: "primary"
    },
    outline: {
      type: String,
      required: false,
      default: "false"
    }
  }
};
</script>

<style>
.btn {
  @apply px-4 py-2 m-2 rounded;
}

.btn:hover {
  @apply opacity-75;
}

.btn-outline {
  @apply btn border bg-transparent;
}

.bg-color-primary:hover {
  background-color: rgba(config("colors.primary-rgb"), 0.1);
}

.bg-color-secondary:hover {
  background-color: rgba(config("colors.secondary-rgb"), 0.1);
}

.bg-color-light:hover {
  background-color: rgba(config("colors.light-rgb"), 0.1);
}

.bg-color-medium:hover {
  background-color: rgba(config("colors.medium-rgb"), 0.1);
}

.bg-color-dark:hover {
  background-color: rgba(config("colors.dark-rgb"), 0.1);
}

.bg-color-success:hover {
  background-color: rgba(config("colors.success-rgb"), 0.1);
}

.bg-color-danger:hover {
  background-color: rgba(config("colors.danger-rgb"), 0.1);
}
</style>
